# Conditional for release and snapshot builds. Uncomment for release-builds.
%global rel_build 1

# This is needed, because src-url contains branched part of versioning-scheme.
%global branch 1.23

# Settings used for build from snapshots.
%{!?rel_build:%global commit bd4b92691203a5ba84721c31d28f466f429cc9ca}
%{!?rel_build:%global commit_date 20151006}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Name:          marco
Version:       %{branch}.2
%if 0%{?rel_build}
Release:       1%{?dist}
%else
Release:       10.1%{?git_rel}%{?dist}
%endif
Summary:       MATE Desktop window manager
License:       LGPLv2+ and GPLv2+
URL:           http://mate-desktop.org

# for downloading the tarball use 'spectool -g -R marco.spec'
# Source for release-builds.
%{?rel_build:Source0:     http://pub.mate-desktop.org/releases/%{branch}/%{name}-%{version}.tar.xz}
# Source for snapshot-builds.
%{!?rel_build:Source0:    http://git.mate-desktop.org/%{name}/snapshot/%{name}-%{commit}.tar.xz#/%{git_tar}}

BuildRequires: desktop-file-utils
BuildRequires: gtk3-devel
BuildRequires: libcanberra-devel
BuildRequires: libgtop2-devel
BuildRequires: libSM-devel
BuildRequireS: libsoup-devel
BuildRequires: libXdamage-devel
BuildRequires: libXpresent-devel
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: zenity
BuildRequires: startup-notification-devel
BuildRequires: yelp-tools

Requires:      mate-desktop-libs
Requires:      %{name}-libs%{?_isa} = %{version}-%{release}

# http://bugzilla.redhat.com/873342
# https://bugzilla.redhat.com/962009
Provides:      firstboot(windowmanager) = marco

%description
MATE Desktop window manager

# to avoid that marco will install in other DE's by compiz-0.8.10
%package libs
Summary:       Libraries for marco
License:       LGPLv2+

%description libs
This package provides Libraries for marco.

%package devel
Summary:       Development files for marco
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Development files for marco


%prep
%if 0%{?rel_build}
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

%if 0%{?rel_build}
#NOCONFIGURE=1 ./autogen.sh
%else # 0%{?rel_build}
# needed for git snapshots
NOCONFIGURE=1 ./autogen.sh
%endif # 0%{?rel_build}

%build
%configure --disable-static           \
           --disable-schemas-compile \
           --with-x

# fix rpmlint unused-direct-shlib-dependency warning
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1


%install
%{make_install}

find %{buildroot} -name '*.la' -exec rm -vf {} ';'

desktop-file-install                                \
        --delete-original                           \
        --dir=%{buildroot}%{_datadir}/applications  \
%{buildroot}%{_datadir}/applications/marco.desktop

%find_lang %{name} --with-gnome --all-name


%files
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-theme-viewer
%{_datadir}/applications/marco.desktop
%{_datadir}/themes/Atlanta
%{_datadir}/themes/ClearlooksRe
%{_datadir}/themes/Dopple-Left
%{_datadir}/themes/Dopple
%{_datadir}/themes/DustBlue
%{_datadir}/themes/Esco
%{_datadir}/themes/Gorilla
%{_datadir}/themes/Motif
%{_datadir}/themes/Raleigh
%{_datadir}/themes/Spidey-Left
%{_datadir}/themes/Spidey
%{_datadir}/themes/Splint-Left
%{_datadir}/themes/Splint
%{_datadir}/themes/WinMe
%{_datadir}/themes/eOS
%dir %{_datadir}/marco
%dir %{_datadir}/marco/icons
%{_datadir}/marco/icons/marco-window-demo.png
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/mate/wm-properties
%{_mandir}/man1/*

%files libs -f %{name}.lang
%{_libdir}/libmarco-private.so.2*
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml

%files devel
%{_bindir}/marco-window-demo
%{_includedir}/marco-1
%{_libdir}/libmarco-private.so
%{_libdir}/pkgconfig/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1.*
%{_mandir}/man1/marco-window-demo.1.*


%changelog
* Fri Dec 06 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.2-1
- update to 1.23.2

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.1-2
- test https://github.com/mate-desktop/marco/pull/528
- test https://github.com/mate-desktop/marco/pull/531
- use https://github.com/mate-desktop/marco/commit/84433d9
- use https://github.com/mate-desktop/marco/commit/e317046
- use https://github.com/mate-desktop/marco/commit/85baeea
- use https://github.com/mate-desktop/marco/commit/752751e
- use https://github.com/mate-desktop/marco/commit/8c352c4
- use https://github.com/mate-desktop/marco/commit/d154eaf
- use https://github.com/mate-desktop/marco/commit/94e6ce3
- use https://github.com/mate-desktop/marco/commit/ee8867b
- use https://github.com/mate-desktop/marco/commit/35af147
- use https://github.com/mate-desktop/marco/commit/a218a54
- test https://github.com/mate-desktop/marco/pull/545
- test https://github.com/mate-desktop/marco/pull/541
- test https://github.com/mate-desktop/marco/pull/542
- test https://github.com/mate-desktop/marco/pull/561
- test https://github.com/mate-desktop/marco/pull/564
- test https://github.com/mate-desktop/marco/pull/566
- test https://github.com/mate-desktop/marco/pull/568
- test https://github.com/mate-desktop/marco/pull/476
- https://github.com/mate-desktop/marco/commit/11d825c
- https://github.com/mate-desktop/marco/commit/af17e33

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.1-1
- test 1.23.1

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-2
- use https://github.com/mate-desktop/marco/commit/16a123b
- use https://github.com/mate-desktop/marco/commit/3324c28
- use https://github.com/mate-desktop/marco/commit/e3a19df
- use https://github.com/mate-desktop/marco/commit/edfa152
- test https://github.com/mate-desktop/marco/pull/517
- test https://github.com/mate-desktop/marco/pull/503
- test https://github.com/mate-desktop/marco/pull/499
- test https://github.com/mate-desktop/marco/pull/498
- test https://github.com/mate-desktop/marco/pull/497

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-1
- test 1.23.0

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-2
- test https://github.com/mate-desktop/marco/commit/c74c611
- test https://github.com/mate-desktop/marco/commit/fb920d7
- test https://github.com/mate-desktop/marco/commit/13f3a8b
- test https://github.com/mate-desktop/marco/commit/58c6a2d
- test https://github.com/mate-desktop/marco/pull/462
- test https://github.com/mate-desktop/marco/commit/b37ec88
- test https://github.com/mate-desktop/marco/pull/455
- test https://github.com/mate-desktop/marco/commit/6f57d80
- test https://github.com/mate-desktop/marco/commit/83a915d
- test https://github.com/mate-desktop/marco/commit/b0df98a
- test https://github.com/mate-desktop/marco/commit/407b398
- test https://github.com/mate-desktop/marco/commit/33b50db
- test https://github.com/mate-desktop/marco/commit/90da480
- test https://github.com/mate-desktop/marco/commit/8401f57
- test https://github.com/mate-desktop/marco/pull/482
- try fix rhbz (#1701799)

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-1
- update to 1.22.0

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-2
- test https://github.com/mate-desktop/marco/pull/439
- test https://github.com/mate-desktop/marco/pull/440
- test https://github.com/mate-desktop/marco/pull/441
- test https://github.com/mate-desktop/marco/pull/443
- test https://github.com/mate-desktop/marco/pull/446
- test https://github.com/mate-desktop/marco/pull/447

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-1
- test 1.21.1

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-2
- test https://github.com/mate-desktop/marco/pull/422
- test https://github.com/mate-desktop/marco/pull/423
- test https://github.com/mate-desktop/marco/pull/424

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-1
- test 1.21.0

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.2-1
- test 1.20.2

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-3
- bump version higher than fedora repos

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-2
- use https://github.com/mate-desktop/marco/pull/387
- use https://github.com/mate-desktop/marco/pull/389
- use https://github.com/mate-desktop/marco/pull/392 (backdrop state)
- test https://github.com/mate-desktop/marco/pull/404
- test https://github.com/mate-desktop/marco/pull/405

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-1
- update to 1.20.1

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-2
- test https://github.com/mate-desktop/marco/pull/384
- test https://github.com/mate-desktop/marco/pull/387
- test https://github.com/mate-desktop/marco/pull/389
- test https://github.com/mate-desktop/marco/pull/392
- test fix for keybindings
- test https://github.com/mate-desktop/marco/pull/397
- test https://github.com/mate-desktop/marco/pull/399

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-1
- update to 1.20 release
- drop GSettings Schema rpm scriptlet
- switch to using autosetup

* Mon Jan 01 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.2-1
- update to 1.19.2
- use https://github.com/mate-desktop/marco/pull/369
- test https://github.com/mate-desktop/marco/pull/366
- test https://github.com/mate-desktop/marco/pull/370
- test https://github.com/mate-desktop/marco/pull/372
- test https://github.com/mate-desktop/marco/pull/373
- test https://github.com/mate-desktop/marco/pull/374
- test https://github.com/mate-desktop/marco/pull/371
- test https://github.com/mate-desktop/marco/pull/375

* Mon Sep 04 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.1-2
- test https://github.com/mate-desktop/marco/pull/350
- test https://github.com/mate-desktop/marco/pull/358
- test https://github.com/mate-desktop/marco/pull/359
- test https://github.com/mate-desktop/marco/pull/360

* Mon Sep 04 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.1-1
- update to 1.19.1

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.0-2
- test https://github.com/mate-desktop/marco/pull/327
- test https://github.com/mate-desktop/marco/pull/330
- test https://github.com/mate-desktop/marco/pull/331
- test https://github.com/mate-desktop/marco/pull/336
- test https://github.com/mate-desktop/marco/pull/339
- test https://github.com/mate-desktop/marco/pull/343
- test https://github.com/mate-desktop/marco/commit/680dca3
- local deprecation test, deprecated GDK_DEVICE_MANAGER
- test https://github.com/mate-desktop/marco/pull/344
- test https://github.com/mate-desktop/marco/pull/347

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.19.0-1
- test 1.19.0
- test https://github.com/mate-desktop/marco/pull/308

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.1-1
- test 1.18.1
- test https://github.com/mate-desktop/marco/pull/308

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.0-3
- test some deprecation fixes
- fix for https://github.com/mate-desktop/marco/issues/251
- https://bugzilla.redhat.com/show_bug.cgi?id=1419634
- test https://github.com/mate-desktop/marco/pull/308

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.0-2
- test fix for https://github.com/mate-desktop/marco/issues/251 

* Tue Mar 14 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.18.0-1
- update to 1.18.0 release
- test https://github.com/mate-desktop/marco/pull/308

* Wed Jan 18 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.1-2
- test https://github.com/mate-desktop/marco/pull/303
- test GtkGrid port of theme-viewer
- test https://github.com/mate-desktop/marco/pull/308

* Wed Jan 18 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.1-1
- test 1.17.1 release
- test https://github.com/mate-desktop/marco/pull/296

* Sat Dec 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-2
- test https://github.com/mate-desktop/marco/pull/290
- test https://github.com/mate-desktop/marco/pull/296

* Sat Dec 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- update to 1.17.0 release

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.16.0-1
- test 1.16.0 release

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-1
- update to 1.15.0 release
- switch to gtk+3

* Sat May 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.2-11
- update to 1.14.2 release

* Wed May 04 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.1.11
- update to 1.14.1 release

* Wed May 04 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-12
- add tooltip style class

* Wed Apr 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-11
- update to 1.14.0 release

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.1-12
- test, style-class-warning patch

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.1-11
- update to 1.13.1 release

* Mon Jan 25 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-11
- update to 1.13.0 release

* Sat Jan 16 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.1-13
- test, https://github.com/mate-desktop/marco/pull/244
- add a conflict macro to -libs package, to fix rhbz (#1297958)

* Wed Dec 02 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.1-12
- split out marco libraries in a subpackage, needed for new compiz-0.8.10

* Wed Dec 02 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.1-11
- update to 1.12.1 release
- removed upstreamed patch

* Sun Nov 08 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-12
- fix crash of marco with using stick-notes applet
- https://github.com/mate-desktop/marco/pull/231

* Sat Oct 31 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-11
- update to 1.12.0 release

* Mon Oct 26 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.1-11
- update to 1.11.1 release
- remove upstreamed patches

* Tue Oct 13 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-12
- test, https://github.com/mate-desktop/marco/pull/229
- test, fix https://bugzilla.redhat.com/show_bug.cgi?id=1258131

* Tue Oct 13 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-11
- update to 1.11.0 release

* Tue Oct 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-0.1.git20151006.bd4b926
- update to latest git from 2015-10-06
- remove upstreamed patches

* Thu Aug 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.2.11
- update to 1.10.2 release
- remove upstreamed patches

* Mon Aug 03 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.15
- test fix for rhbz (#1226530)

* Sat Aug 01 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.14
- fix minimize item are not insensitive when window should not be minimized

* Fri Jul 31 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.13
- improve wine support, rhbz (#1190525)

* Fri Jul 17 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.12
- fix crashes with some old metacity themes

* Thu Jun 11 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.11
- update to 1.10.1 release

* Mon Apr 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-13
- fix windows keybindings

* Mon Apr 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-12
- fix workspaces keybindings

* Mon Apr 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-11
- update to 1.10.0 release

* Mon Mar 09 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.90-11
- test, add keybindings for tiling
- fix tile-preview

* Thu Feb 26 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.90-10
- update to 1.9.90 release

* Tue Jan 27 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.4-10
- bump version to more than ten

* Wed Jan 14 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.4-1
- update to 1.9.4 release

* Wed Dec 24 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.4-0.1.git20141210.094bf42
- update to latet git snapshot from 2014.12.10
- adjust patch

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.3-1
- update to 1.9.3

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.2-1
- update to 1.9.2

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-6
- use snapshot from 2014.06.29

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-5
- use snapshot from 2014.06.09

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-4
- rebuilt for libgtop2 soname bump

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-3
- use upstream 1.9.0 source

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-2
- test, use snapshot from 21.04.2014

* Sat Apr 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- test, mate-1.9 with GTK3
- use zenity instead of mate-dialogs as BR
- marco-theme-viewer is removed

* Tue Mar 04 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Tue Feb 18 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- add 1.7.90 release

* Mon Feb 10 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0.2
- re-work marco_add-pixbuf-inline-icons.patch

* Sun Feb 09 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0

* Fri Dec 20 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-0.5.git20131212.62a708d
- make Maintainers life easier and use better git snapshot usage, Thanks to Björn Esser
- use modern 'make install' macro
- improve obsoletes/provides, add limits

* Sat Dec 14 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-0.4.git0403454e
- remove isa tags from obsoletes/provides
 
* Wed Dec 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-0.3.git0403454e
- using 8 digets in git version to update mate-window-manager

* Wed Dec 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-0.2.git0403454
- rename mate-window-manager to marco

* Fri Dec 06 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.0-1.1.git0403454
- Update to 1.7.0 git snapshot

* Wed Nov 13 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-6
- start with side-by-side-tiling and windows-snapping-top-screen support for f20

* Fri Sep 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-5
- fix initial-setup issue, rhbz (#962009)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-3
- remove gsettings convert file

* Tue Jun 11 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.2-2
- Add libgtop2-devel to BR's

* Sat Jun 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.2-1
- Update to latest upstream release
- Update datadir to mate-window-manager instead of marco

* Sat Jun 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-2
- Fix initial-setup, hopefully.

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-1
- Bug fix release. See changelog.

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Mon Mar 25 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.5-1
- Update to latest upstream release
- Own dirs that we are supposed to owp

* Fri Feb 22 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.4-1
- Update to latest upstream release

* Mon Feb 18 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.3-4
- Add latest upstream commits

* Tue Jan 29 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.3-3
- Add some configure flags

* Fri Jan 18 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.3-2
- Sort BR's
- Remove unneeded obsoletes tag

* Mon Jan 14 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.3-1
- Update to latest upstream release

* Fri Jan 11 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-11
- Convert back to old BR format
- Drop unneeded BRs
- Own directories that are supposed to be owned (marco-1)
- Fix missing "X-Mate" category.
- Add gsettings data convert file for users upgrading from 1.4
- Fix update of gsettings enum preferences

* Mon Dec 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-10
- Rebuild for ARM

* Sun Nov 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-9
- Remove hard requires on mwm and mate-themes.

* Sun Nov 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-8
- Add xdamage as it is required for build

* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-7
- move development files to devel
- remove the config.h defines from %%build section

* Tue Nov 13 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-6
- Update configure flags, add disable scrollkeeper mainly

* Tue Nov 13 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-5
- add patch to fix startup rendering effect with composite enabled 

* Tue Nov 06 2012 Rex Dieter <rdieter@fedoraproject.org> 1.5.2-4
- Provides: firstboot(windowmanager) (#873342)

* Mon Nov 05 2012 Rex Dieter <rdieter@fedoraproject.org> 1.5.2-3
- drop Provides: firstboot(windowmanager) until bug #873342 is fixed

* Sat Nov 03 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-2
- Provides firstboot(windowmanager) mate-window-manager

* Mon Oct 29 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-1
- update to 1.5.2 release
- add schema scriptlets and remove mateconf scriptlets
- add requires gsettings-desktop-schemas
- add build requires gsettings-desktop-schemas-devel and dconf-devel
- change build requires style

* Wed Oct 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-12
- Fix crash if you have lots of workspaces

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-11
- filter provides
- fix build requires
- fix reqires
- define some defaults
- Add patch to allow breaking out from maximization during mouse resize
  (gnome bz 622517)

* Wed Sep 26 2012 Rex Dieter <rdieter@fedoraproject.org> - 1.4.1-10
- fix ldconfig scriptlets
- use desktop-file-validate again
- own %%{_datadir}/mate/wm-properties/

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-9
- Remove mateconf obsolete scriplet

* Mon Sep 24 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-8
- rerefix mate-conf scriptlets. Add export line to REALLY not install schemas with make install.
- comment out desktop-file-validate.

* Mon Sep 17 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.1-7
- fix/simplify dir ownership
- omit not-needed/broken Obsoletes
- (re)fix scriptlets :)

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-6
- Move post and postun scriptlets to proper location

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-5
- Remove onlyshowin since it is not needed any more with updated desktop-file-utils

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-4
- Update source to note git version.

* Sun Sep 09 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-3
- Fix broken dependencies, update to latest github version which contains fixes for desktop-file-utils

* Mon Sep 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-2
- Add environment variable to install section and further obsoletes to prevent dependency breakage

* Sun Sep 02 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.1-1
- Upgrade to new upstream version.

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-5
- drop unneeded python-related build deps
- %%configure --disable-schemas-install
- fix/simplify some parent-dir ownership

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org>  1.4.0-4
- main pkg Requires: %%name-libs
- drop needless icon scriptlets
- s|MATE|X-MATE| .desktop Categories on < f18 only
- License: GPLv2+

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Own theme directories that are being installed, switch from po_package to namefor lang files, bump release version

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Add mateconf scriptlets

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
